1 Reply Latest reply on Feb 10, 2015 4:44 AM by Pavol Pitonak

    RichFaces 4.5.x and IE8

    Jethro Borsje Newbie

      Hi everybody,

       

      We have the requirement that we should support IE8 (and newer). I saw on https://developer.jboss.org/wiki/PrioritizedRichFacesBrowsersCompatibilityMatrix that IE8 isn't mentioned since version 4.2.x which is no longer maintained. I now have a choice to make: go with 4.2.x or 4.5.x and I am not sure what is best. We plan on using as little 'exotic components' as possible, the main thing we want to use from RF is the datatable and the data scroller. What do you guys recommend? Does anybody have experience running RF 4.5.x on IE8? When I click through the demo site I do not see any problems.

       

      Best regards,

      Jethro

        • 1. Re: RichFaces 4.5.x and IE8
          Pavol Pitonak Master

          Hi,

           

          neither IE8 nor IE9 are supported in RichFaces 4.5 but it doesn't mean that it won't work.  We definitely know that rich:fileUpload doesn't work in IE8 and IE9 because of missing API in those browsers but the majority of components should work fine. It's up to you to try it out. Branches 4.2 and 4.3 are no longer maintained so the best would be to upgrade to 4.5.

           

          Should you find any problem with older IE, feel free to submit a pull request with a fix

           

          Regards,

          Pavol